/* overall */
.escr-button {
    border: none;
    color: var(--button-text);
    border-radius: 5px;
    padding: 0px 10px;
    font-family: "Noto Sans", sans-serif;
    font-weight: 600;
    font-size: 14px;
    cursor: pointer;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out,
        border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    box-sizing: border-box;
}
.escr-button:focus {
    outline: 0;
}
/* icon */
.escr-button svg {
    fill: var(--button-text);
    transition: fill 0.15s ease-in-out;
}
.escr-button svg + span {
    margin-left: 5px;
}
/* size */
.escr-button--small {
    min-height: 32px;
}
.escr-button--large {
    min-height: 38px;
    padding: 0px 16px;
}
/* icon-only: should be square */
.escr-button--icon-only.escr-button--small {
    padding: 0;
    min-width: 32px;
}
.escr-button--icon-only.escr-button--large {
    padding: 0;
    min-width: 38px;
}
/* primary, filled and outline */
.escr-button--primary,
.escr-button--outline-primary:hover {
    border: 1px solid var(--primary);
    background-color: var(--primary);
}
.escr-button--primary:focus,
.escr-button--outline-primary:focus {
    box-shadow: 0 0 0 0.2rem var(--primary-focus);
}
.escr-button--primary:hover,
.escr-button--outline-primary:active {
    border-color: var(--primary-dark);
    background-color: var(--primary-dark);
}
.escr-button--primary:active {
    border-color: var(--primary-darker);
    background-color: var(--primary-darker);
}
.escr-button--outline-primary {
    background-color: transparent;
    border: 1px solid var(--primary);
    color: var(--primary);
}
.escr-button--outline-primary svg {
    fill: var(--primary);
}
/* secondary, filled and outline */
.escr-button--secondary,
.escr-button--outline-secondary:hover {
    border: 1px solid var(--secondary);
    background-color: var(--secondary);
}
.escr-button--secondary:focus,
.escr-button--outline-secondary:focus {
    box-shadow: 0 0 0 0.2rem var(--secondary-focus);
}
.escr-button--secondary:hover,
.escr-button--outline-secondary:active {
    border-color: var(--secondary-dark);
    background-color: var(--secondary-dark);
}
.escr-button--secondary:active {
    border-color: var(--secondary-darker);
    background-color: var(--secondary-darker);
}
.escr-button--outline-secondary {
    background-color: transparent;
    border: 1px solid var(--secondary);
    color: var(--secondary);
}
.escr-button--outline-secondary svg {
    fill: var(--secondary);
}
/* tertiary, filled and outline */
.escr-button--tertiary,
.escr-button--outline-tertiary:hover {
    border: 1px solid var(--tertiary);
    background-color: var(--tertiary);
}
.escr-button--tertiary:focus,
.escr-button--outline-tertiary:focus {
    box-shadow: 0 0 0 0.2rem var(--tertiary-focus);
}
.escr-button--tertiary:hover,
.escr-button--outline-tertiary:active {
    border-color: var(--tertiary-dark);
    background-color: var(--tertiary-dark);
}
.escr-button--tertiary:active {
    border-color: var(--tertiary-darker);
    background-color: var(--tertiary-darker);
}
.escr-button--outline-tertiary {
    background-color: transparent;
    border: 1px solid var(--tertiary);
    color: var(--tertiary);
}
.escr-button--outline-tertiary svg {
    fill: var(--tertiary);
}
/* danger, filled and outline */
.escr-button--danger,
.escr-button--outline-danger:hover {
    border: 1px solid var(--alert);
    background-color: var(--alert);
}
.escr-button--danger:focus,
.escr-button--outline-danger:focus {
    box-shadow: 0 0 0 0.2rem var(--alert-focus);
}
.escr-button--danger:hover,
.escr-button--outline-danger:active {
    background-color: var(--alert-dark);
}
.escr-button--danger:active {
    background-color: var(--alert-darker);
}
.escr-button--outline-danger {
    background-color: transparent;
    border: 1px solid var(--alert);
    color: var(--alert);
}
.escr-button--outline-danger svg {
    fill: var(--alert);
}
/* outline buttons get filled on hover/active, so use bright text */
[class*="escr-button--outline"]:hover,
[class*="escr-button--outline"]:active {
    color: var(--button-text);
}
[class*="escr-button--outline"]:hover svg,
[class*="escr-button--outline"]:active svg {
    fill: var(--button-text);
}
/* link */
.escr-button--link-primary {
    background-color: transparent;
    border: none;
    color: var(--primary);
}
.escr-button--link-primary svg {
    fill: var(--primary);
}
.escr-button--link-primary:hover {
    color: var(--primary-dark);
}
.escr-button--link-primary:hover svg {
    fill: var(--primary-dark);
}
.escr-button--link-primary:active {
    color: var(--primary-darker);
}
.escr-button--link-primary:active svg {
    fill: var(--primary-darker);
}
.escr-button--link-primary:focus {
    text-decoration: underline;
}
.escr-button--link-primary.escr-button--small {
    font-size: 12px;
}
/* "text" color variant */
.escr-button--text {
    background-color: transparent;
    border: none;
    color: var(--text1);
}
.escr-button--text svg {
    fill: var(--text1);
}
.escr-button--text:hover,
.escr-button--outline-text:hover {
    background-color: var(--secondary-hover);
}
.escr-button--text:active,
.escr-button--outline-text:active {
    background-color: var(--secondary-focus);
}
.escr-button--text:focus,
.escr-button--outline-text:focus {
    box-shadow: 0 0 0 0.2rem  var(--secondary-focus);
}
/* "outline-text" color variant */
.escr-button--outline-text {
    background-color: transparent;
    border: 1px solid var(--text1);
    color: var(--text1);
}
.escr-button--outline-text svg,
.escr-button--outline-text:hover svg,
.escr-button--outline-text:active svg {
    fill: var(--text1);
}
.escr-button--outline-text:hover,
.escr-button--outline-text:active {
    color: var(--text1);
}
/* disabled */
.escr-button:disabled {
    pointer-events: none;
    color: var(--text3);
    background-color: var(--background2);
    border-color: var(--background2);
}
.escr-button:disabled svg {
    fill: var(--text3);
}
.escr-button:disabled[class*="escr-button--outline"] {
    background-color: transparent;
    border-color: var(--text3);
}
.escr-button:disabled[class*="escr-button--link"] {
    background-color: transparent;
    border-color: transparent;
}
